PyInstaller Grab Version(1)

NAME
pyi-grab_version - Grab the version from a PyInstaller executable

DESCRIPTION
usage: pyi-grab_version [-h] exe-file [out-filename]

  positional arguments:

exe-file
    The full pathname of an executable (required).

out-filename
    The filename where the grabbed version info will be saved.

  options:

-h, --help
    Show this help message and exit.

The printed output may be saved to a file, edited and used as the input for a version resource on any of the executable targets in a PyInstaller .spec.